Bug 1893889 - disabled dropdown items in the pf dropdown component are skipped over and unannounced by JAWS
Summary: disabled dropdown items in the pf dropdown component are skipped over and una...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Joe Caiani
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-02 21:49 UTC by Joe Caiani
Modified: 2021-02-24 15:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:29:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7899 0 None closed Bug 1893889: Update pf dependencies to 2021-1 to fix a117 issues with disabled dropdown items 2021-02-07 04:15:27 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:29:45 UTC

Description Joe Caiani 2020-11-02 21:49:49 UTC
Description of problem:

When validating https://bugzilla.redhat.com/show_bug.cgi?id=1884629 with a customer who uses JAWS, we noticed a bug in the dropdown component. After being asked what items were in the Basic dropdown on the patternfly examples page, he repeated all the items present in the dropdown, but the disabled items were not repeated. When asked if he expected the disabled items in the dropdown he said that he expects the disabled items to be announced as disabled and not omitted from the list.

Rather than skipping over disabled dropdown items, we should allow JAWS to traverse disabled items and announce their state. When keying through the dropdown items they will no longer be skipped, but traversable, no action will be taken if selected.

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Joe Caiani 2020-11-02 21:50:53 UTC
There is a pr in the pf react repo to fix this here: https://github.com/patternfly/patternfly-react/issues/5039

When this is ready we can update our pf dependency to pick it up.

Comment 2 Joe Caiani 2020-11-13 16:12:21 UTC
pf release to fix this coming next week

Comment 3 Joe Caiani 2020-12-04 17:52:07 UTC
pr is up and in code review. moving to upcoming sprint

Comment 5 Yadan Pei 2021-02-03 03:37:01 UTC
Hi jcaiani@redhat.com

Do you know some ways to verify this bug who use JAWS screen reader? Or can we validate with a customer?

Comment 6 Siva Reddy 2021-02-04 16:32:45 UTC
Joe provided the information and I'm working on verifying this bug Ya dan.

Comment 7 Siva Reddy 2021-02-08 01:15:12 UTC
Now the drop down are announced in JAWS

Comment 10 errata-xmlrpc 2021-02-24 15:29:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.